### Name: Genome_intervals_stranded-class
### Title: Class "Genome_intervals_stranded"
### Aliases: Genome_intervals_stranded-class
###   coerce,Genome_intervals_stranded,character-method strand strand<-
###   strand,Genome_intervals_stranded-method
###   strand<-,Genome_intervals_stranded-method
### Keywords: classes

### ** Examples


# The "Genome_intervals_stranded" class
j <- new(
         "Genome_intervals_stranded",
         matrix(
                c(1,2,  
                  3,5,
                  4,6,
                  8,9
                  ),
                byrow = TRUE,
                ncol = 2
         ),
         closed = matrix(
                                c(
                                        FALSE, FALSE,
                                        TRUE, FALSE,
                                        TRUE, TRUE,
                                        TRUE, FALSE
                                 ),
                                byrow = TRUE,
                        ncol = 2
                        ),
     annotation = data.frame(
                                seq_name = factor( c("chr01","chr01", "chr02","chr02") ),
                                        strand = factor( c("+", "+", "+", "-") ),
                                        inter_base = c(FALSE,FALSE,FALSE,TRUE)
                                        )
         )

## print
print(j)

## size of each interval as count of included bases 
size(j)

## close intervals left and right (canonical representation)
close_intervals(j)



